import React from 'react';
export default {
  title: 'Utilities/Visibility',
  parameters: {
    docs: {
      source: {
        type: 'dynamic'
      }
    }
  }
}; // an example for responsive visibility -- referenced in doc site

export var visibility = function visibility() {
  return /*#__PURE__*/React.createElement("div", null, ['sm', 'md', 'lg', 'xl'].map(function (breakpoint) {
    return /*#__PURE__*/React.createElement("div", {
      className: "ds-u-padding--1 ds-u-border--1",
      key: breakpoint
    }, /*#__PURE__*/React.createElement("div", {
      className: "ds-u-".concat(breakpoint, "-visibility--hidden ds-u-color--muted")
    }, "Hidden on ", breakpoint, " screens and larger"), /*#__PURE__*/React.createElement("div", {
      className: "ds-u-visibility--hidden ds-u-".concat(breakpoint, "-visibility--visible")
    }, "Visible on ", breakpoint, " screens and larger"));
  }));
};